﻿
@model RatingViewModel

@{
    ViewData["Title"] = "Change Rating";
}

<h2>@ViewData["Title"]</h2>

<div class="row">
    <section>
        <form asp-controller="Movie" asp-action="ChangeRating" method="post">
            <div class="col-md-6">
                <h4>Change movie rating.</h4>
                <hr />
                <div asp-validation-summary="All" class="text-danger"></div>
                <div class="form-group">
                    <label asp-for="@Model.MovieTitle">Movie Title</label>
                    <input asp-for="@Model.MovieTitle" class="form-control" />
                    <span asp-validation-for="@Model.MovieTitle" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <label asp-for="@Model.Rating">New Rating</label>
                    <input asp-for="@Model.Rating" class="form-control" />
                    <span asp-validation-for="@Model.Rating" class="text-danger"></span>
                </div>
                <div class="form-group">
                    <button type="submit" class="btn btn-warning" onclick="return confirm('Are you sure you want to edit movie rating?')">Change Rating</button>
                </div>
            </div>
        </form>
    </section>
</div>

@section Scripts {
    @await Html.PartialAsync("_ValidationScriptsPartial")
}

